@import './var.scss';
@import './icon.scss';
@import './btn.scss';
@import './scrollbar.scss';
@import './animation.scss';

.#{$namespace}-datepicker {
  position: relative;
  display: inline-block;
  width: 210px;
  svg {
    width: 1em;
    height: 1em;
    vertical-align: -0.15em;
    fill: currentColor;
    overflow: hidden;
  }
}

.#{$namespace}-datepicker-range {
  width: 320px;
}

.#{$namespace}-datepicker-inline {
  width: auto;
}

.#{$namespace}-input-wrapper {
  position: relative;
  .#{$namespace}-icon-clear {
    display: none;
  }
  &:hover {
    .#{$namespace}-icon-clear {
      display: block;
    }
    .#{$namespace}-icon-clear + .#{$namespace}-icon-calendar {
      display: none;
    }
  }
}

.#{$namespace}-input {
  display: inline-block;
  box-sizing: border-box;
  width: 100%;
  height: 34px;
  padding: 6px 30px;
  padding-left: 10px;
  font-size: 14px;
  line-height: 1.4;
  color: $input-color;
  background-color: #fff;
  border: 1px solid $input-border-color;
  border-radius: 4px;
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);

  &:hover,
  &:focus {
    border-color: $input-hover-border-color;
  }
  &:disabled,
  &.disabled {
    color: $disabled-color;
    background-color: $disabled-background-color;
    border-color: $input-border-color;
    cursor: not-allowed;
  }
  &:focus {
    outline: none;
  }
  &::-ms-clear {
    display: none;
  }
}

.#{$namespace}-icon-calendar,
.#{$namespace}-icon-clear {
  position: absolute;
  top: 50%;
  right: 8px;
  transform: translateY(-50%);
  font-size: 16px;
  line-height: 1;
  color: rgba(0, 0, 0, 0.5);
  vertical-align: middle;
}

.#{$namespace}-icon-clear {
  cursor: pointer;
  &:hover {
    color: rgba(0, 0, 0, 0.8);
  }
}

.#{$namespace}-datepicker-main {
  font: 14px/1.5 'Helvetica Neue', Helvetica, Arial, 'Microsoft Yahei', sans-serif;
  color: $default-color;
  background-color: #fff;
  border: 1px solid $border-color;
  border-radius: $datepicker-border;
}

.#{$namespace}-datepicker-popup {
  position: absolute;
  margin-top: 1px;
  margin-bottom: 1px;
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
  z-index: 1000;
}

.#{$namespace}-datepicker-sidebar {
  float: left;
  box-sizing: border-box;
  width: 100px;
  padding: 6px;
  overflow: auto;
}

.#{$namespace}-datepicker-sidebar + .#{$namespace}-datepicker-content {
  margin-left: 100px;
  border-left: 1px solid $border-color;
}

.#{$namespace}-datepicker-body {
  position: relative;
  user-select: none;
}

.#{$namespace}-btn-shortcut {
  display: block;
  padding: 0 6px;
  line-height: 24px;
}

.#{$namespace}-range-wrapper {
  display: flex;
}

.#{$namespace}-datepicker-header {
  padding: 0px 8px;
  border-top-left-radius: $datepicker-border;
  border-top-right-radius: $datepicker-border;
  background-color: #37425d;
  display: flex;
  //border-bottom: 1px solid $border-color;
}

.#{$namespace}-datepicker-footer {
  padding: $paddingDefault * 2 $paddingLarge;
  text-align: right;
  //border-top: 1px solid $border-color;
  background-color: #283349;
  border-bottom-left-radius: $datepicker-border;
  border-bottom-right-radius: $datepicker-border;
}

.#{$namespace}-calendar {
  box-sizing: border-box;
  width: $datepicker-td-height * 7 + 24;
  //padding: 6px 12px;
  & + & {
    border-left: 1px solid $border-color;
  }
  &-arrow {
    &-rotated {
      transform: rotate(180deg);
    }
    &-icon {
      max-height: 16px;
    }
  }
}

.#{$namespace}-calendar-header {
  box-sizing: border-box;
  height: 34px + $paddingDefault;
  line-height: 34px;
  text-align: center;
  overflow: hidden;
  background-color: #1e293f;
  padding: $paddingDefault 8px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.#{$namespace}-btn-icon-left,
.#{$namespace}-btn-icon-double-left {
  float: left;
  display: flex;
}

.#{$namespace}-btn-icon-right,
.#{$namespace}-btn-icon-double-right {
  float: right;
  display: flex;
}

.#{$namespace}-calendar-header-label {
  font-size: 14px;
  &-monthList {
    flex: 1;
    width: 100%;
    display: flex;
    justify-content: space-between;
  }
}

.#{$namespace}-calendar-decade-separator {
  margin: 0 2px;
  &:after {
    content: '~';
  }
}

.#{$namespace}-calendar-content {
  position: relative;
  height: $datepicker-td-height * 7;
  box-sizing: border-box;
  .cell {
    cursor: pointer;
    &:hover {
      color: $calendar-hover-color;
      background-color: $calendar-hover-background-color;
    }
    &.active {
      color: $calendar-active-color;
      background-color: $calendar-active-background-color;
    }
    &.in-range {
      color: $calendar-in-range-color;
      background-color: $calendar-in-range-background-color;
    }
    &.disabled {
      cursor: not-allowed;
      color: $disabled-color;
      background-color: $disabled-background-color;
    }
  }
}

.#{$namespace}-calendar-week-mode {
  .#{$namespace}-date-row {
    cursor: pointer;
    &:hover {
      background-color: $calendar-hover-background-color;
    }
    &.#{$namespace}-active-week {
      background-color: $calendar-in-range-background-color;
    }
    .cell {
      &:hover {
        color: inherit;
        background-color: transparent;
      }
      &.active {
        color: inherit;
        background-color: transparent;
      }
    }
  }
}

.#{$namespace}-week-number {
  opacity: 0.5;
}

.#{$namespace}-table {
  table-layout: fixed;
  border-collapse: separate;
  border-spacing: 0;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
  text-align: center;
  vertical-align: middle;
  color: #FFFFFF;
  font-weight: bold;
  th {
    padding: 0;
    font-weight: 500;
    background-color: $background-th-td;
    color: #a6a5a5;
    &:nth-of-type(even) {
      background-color: $background-th-td-even;
    }
  }
  td {
    padding: 0;
    background-color: $background-th-td;
    &:nth-of-type(even) {
      background-color: $background-th-td-even;
    }
  }
  tr {
    &:nth-of-type(odd) {
      td {
        background-color: $background-tr-even;
        &:nth-of-type(even) {
          background-color: $background-tr-td-even;
        }
      }
    }
  }
  &-year {
    display: flex;
    overflow-x: scroll;
    overflow-y: hidden;
    white-space: nowrap;
    -webkit-overflow-scrolling: touch;
    scrollbar-width: none;
    &::-webkit-scrollbar {
      display: none;
    }
    .cell {
      margin-right: 10px;
      padding: $paddingMini / 2;
      &.active {
        background-color: #283349;
        border-bottom: 4px solid #f3a311;
      }
    }
  }
}

.#{$namespace}-table-date {
  td,
  th {
    height: $datepicker-td-height;
    font-size: 12px;
  }

  .today {
    color: $today-color;
  }
  .cell.not-current-month {
    color: #5f6d89;
  }
}

.#{$namespace}-time {
  flex: 1;
  width: 224px;
  background: #fff;
  & + & {
    border-left: 1px solid $border-color;
  }
}

.#{$namespace}-calendar-time {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.#{$namespace}-time-header {
  @extend .#{$namespace}-calendar-header;
  border-bottom: 1px solid $border-color;
}

.#{$namespace}-time-content {
  height: $datepicker-td-height * 7;
  box-sizing: border-box;
  overflow: hidden;
}

.#{$namespace}-time-columns {
  display: flex;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.#{$namespace}-time-column {
  flex: 1;
  position: relative;
  border-left: 1px solid $border-color;
  text-align: center;

  &:first-child {
    border-left: 0;
  }
  .#{$namespace}-time-list {
    margin: 0;
    padding: 0;
    list-style: none;
    &::after {
      content: '';
      display: block;
      height: 32 * 6px;
    }
  }
  .#{$namespace}-time-item {
    cursor: pointer;
    font-size: 12px;
    height: 32px;
    line-height: 32px;
    &:hover {
      color: $time-hover-color;
      background-color: $time-hover-background-color;
    }
    &.active {
      color: $time-active-color;
      background-color: $time-active-background-color;
      font-weight: 700;
    }
    &.disabled {
      cursor: not-allowed;
      color: $disabled-color;
      background-color: $disabled-background-color;
    }
  }
}

.#{$namespace}-time-option {
  cursor: pointer;
  padding: 8px 10px;
  font-size: 14px;
  line-height: 20px;
  &:hover {
    color: $time-hover-color;
    background-color: $time-hover-background-color;
  }
  &.active {
    color: $time-active-color;
    background-color: $time-active-background-color;
    font-weight: 700;
  }
  &.disabled {
    cursor: not-allowed;
    color: $disabled-color;
    background-color: $disabled-background-color;
  }
}
